<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>

<!--
<copyright>

Copyright (c) 2008-2013 See4sys, itemis and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the Eclipse Public License v2.0
which accompanies this distribution, and is available at
https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

Contributors:
    See4sys - Initial API and implementation
    itemis - [402945] Add a new Hummingbird project creation wizard for Hummingbird examples
    itemis - [402951] Add a new Hummingbird file creation wizard for Hummingbird examples

</copyright>
-->

<plugin>
   <extension point="org.eclipse.ui.views">
      <category
            id="org.eclipse.sphinx.examples.common.ui.views.category.sphinxExampleViews"
            name="%sphinx.examples.common.ui.views.category.sphinxExampleViews.name">
      </category>
      <view
            category="org.eclipse.sphinx.examples.common.ui.views.category.sphinxExampleViews"
            class="org.eclipse.sphinx.emf.workspace.ui.views.ReferencesView"
            icon="icons/full/eview16/ref_hierarchy.gif"
            id="org.eclipse.sphinx.emf.workspace.ui.views.references"
            name="References">
      </view>
   </extension>
   <extension point="org.eclipse.ui.newWizards">
      <category
            id="org.eclipse.sphinx.examples.common.ui.newWizards.category.sphinxExampleWizards"
            name="%sphinx.examples.common.ui.newWizards.category.sphinxExampleWizards.name">
      </category>
      <category
            id="org.eclipse.sphinx.examples.common.ui.newWizards.category.examples.sphinx"
            name="%sphinx.examples.common.ui.newWizards.category.examples.sphinx"
            parentCategory="org.eclipse.ui.Examples">
      </category>
      <wizard
            category="org.eclipse.sphinx.examples.common.ui.newWizards.category.sphinxExampleWizards"
            class="org.eclipse.sphinx.emf.workspace.ui.wizards.GenericNewModelFileWizard"
            finalPerspective="org.eclipse.sphinx.examples.common.ui.perspectives.sphinx"
            hasPages="true"
            icon="$nl$/icons/full/obj16/modelfile_obj.gif"
            id="org.eclipse.sphinx.examples.hummingbird.ide.ui.newWizards.modelFile"
            name="%sphinx.examples.common.ui.newWizards.modelFile.name"
            preferredPerspectives="org.eclipse.sphinx.examples.common.ui.perspectives.sphinx"
            project="true">
      </wizard>
   </extension>
   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            class="org.eclipse.sphinx.examples.common.ui.perspectives.SphinxPerspectiveFactory"
            icon="icons/full/eview16/sphinx_persp.png"
            id="org.eclipse.sphinx.examples.common.ui.perspectives.sphinx"
            name="%sphinx.examples.common.ui.perspectives.sphinx.name">
      </perspective>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            allPopups="false"
            locationURI="popup:org.eclipse.sphinx.emf.workspace.ui.views.references">
         <menu
               commandId="org.eclipse.ui.navigate.showInQuickMenu"
               id="org.eclipse.sphinx.ide.markers.showInMenu"
               label="%menu.showIn.label"
               mnemonic="%menu.showIn.mnemonic">
            <dynamic
                  class="org.eclipse.ui.ExtensionFactory:showInContribution"
                  id="org.eclipse.sphinx.examples.common.ui.menus.dynamicShowInMenu">
            </dynamic>
         </menu>
      </menuContribution>
   </extension>
   <extension
         point="org.eclipse.ui.views.properties.tabbed.propertyContributor">
      <propertyContributor
            contributorId="org.eclipse.sphinx.emf.workspace.ui.views.references">
         <propertyCategory
               category="advanced"></propertyCategory>
      </propertyContributor>
   </extension>
   <extension
         point="org.eclipse.ui.views.properties.tabbed.propertyTabs">
      <propertyTabs
            contributorId="org.eclipse.sphinx.emf.workspace.ui.views.references">
         <propertyTab
               category="advanced"
               id="org.eclipse.sphinx.emf.workspace.ui.views.references.propertyTabs.advanced"
               label="Advanced">
         </propertyTab>
      </propertyTabs>
   </extension>
   <extension
         point="org.eclipse.ui.views.properties.tabbed.propertySections">
      <propertySections
            contributorId="org.eclipse.sphinx.workspace.emf.ui.views.references">
         <propertySection
               class="org.eclipse.sphinx.emf.ui.properties.BasicTransactionalAdvancedPropertySection"
               id="org.eclipse.sphinx.emf.workspace.ui.views.references.propertySections.advanced"
               tab="org.eclipse.sphinx.emf.workspace.ui.views.references.propertyTabs.advanced">
            <input
                  type="java.lang.Object">
            </input>
         </propertySection>
      </propertySections>
   </extension>
</plugin>
